commit:     1061604f858413f03ac8a4b015e91cc618c07f68
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 19 16:42:51 2021 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Thu Aug 19 16:43:01 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1061604f

sys-apps/debianutils: Bump to version 5.2

Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 sys-apps/debianutils/Manifest               |  1 +
 sys-apps/debianutils/debianutils-5.2.ebuild | 45 +++++++++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/sys-apps/debianutils/Manifest b/sys-apps/debianutils/Manifest
index 05cf701556c..894fd32ecf1 100644
--- a/sys-apps/debianutils/Manifest
+++ b/sys-apps/debianutils/Manifest
@@ -1 +1,2 @@
 DIST debianutils_4.11.2.tar.xz 158132 BLAKE2B 
c2a95c90b4267e3b1d61c21db562f960b4666982c488e69a757fb0a7a42e8e739d44f553edd8cf532df30c492e999920ab63ec3580479de7de5d901d75de76fc
 SHA512 
0bd9098beee78b3c8dae839f0c29e9f142cbb22f2ced473cf7ae47a14d9493ba882c1829eba213780392a87a3223b3689729754c8ded80a091efaef3f6f903fd
+DIST debianutils_5.2.orig.tar.xz 103364 BLAKE2B 
1284eb30da0c26cf9247336fbd8f4633ffe5dcab7d72ee71695b5ebc67fe02da10ea4d5a2096c5800a80670c9259de8d682b65fde197bedbc805e0d97d6b9863
 SHA512 
d7e4e22768b7ee6adf07a5e580eb6ae4f8fba1d7471fda4713f7e0add627133689d4184880d42c748bf270b2b55f60044b8b956941434b5bb0890732c6fc031f

diff --git a/sys-apps/debianutils/debianutils-5.2.ebuild 
b/sys-apps/debianutils/debianutils-5.2.ebuild
new file mode 100644
index 00000000000..0df682debe5
--- /dev/null
+++ b/sys-apps/debianutils/debianutils-5.2.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic
+
+DESCRIPTION="A selection of tools from Debian"
+HOMEPAGE="https://packages.qa.debian.org/d/debianutils.html";
+SRC_URI="mirror://debian/pool/main/d/${PN}/${PN}_${PV}.orig.tar.xz"
+
+LICENSE="BSD GPL-2 SMAIL"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86 ~x86-linux"
+IUSE="+installkernel static"
+
+PDEPEND="
+       installkernel? (
+               || (
+                       sys-kernel/installkernel-gentoo
+                       sys-kernel/installkernel-systemd-boot
+               )
+       )"
+
+#S="${WORKDIR}/${PN}"
+
+PATCHES=( "${FILESDIR}"/${PN}-3.4.2-no-bs-namespace.patch )
+
+src_configure() {
+       use static && append-ldflags -static
+       default
+}
+
+src_install() {
+       into /
+       dobin run-parts
+
+       into /usr
+       dobin ischroot
+       dosbin savelog
+
+       doman ischroot.1 run-parts.8 savelog.8
+
+       dodoc CHANGELOG
+}

Reply via email to